@charset "UTF-8";
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  background: rgb(68, 0, 255);
  backdrop-filter: none;
}
#topbutton {
  /* ▼ボタンの表示位置を画面の右下に固定 */
  position: fixed; /* ←表示場所を固定 */
  bottom: 80px; /* ←下端からの距離 */
  right: 30px; /* ←右端からの距離 */

  /* ▼最初は非表示にしておく */
  /* display: none; */

  /* ▼配色・配置・文字の装飾など */
  background-color: #2525aa; /* ←背景色 */

  border-radius: 24px; /* ←角丸の半径 */
  text-align: center; /* ←文字の位置 */
  font-size: 110%; /* ←文字サイズ */
  font-weight: bold; /* ←文字の太さ */
  margin: 0px; /* ←外側の余白 */
  padding: 10px; /* ←内側の余白 */
  z-index: 10000;
  opacity: 0;
}
#topbutton a {
  /* ▼リンクの装飾 */
  color: white; /* ←文字色 */
  text-decoration: none; /* ←下線なし */
}
#topbutton a:hover {
  /* ▼マウスが載ったときの装飾 */
  color: yellow; /* ←文字色 */
  text-decoration: underline; /* ←下線あり */
}
h1,h2{
  background: #fff;
  color: #333;
}
h1{
  width: 90%;
  margin: 10px auto;
  border-radius: 12px ;
}
h2{
  border-radius: 8px;
  width: 70%;
  margin: 100px auto 0;
  text-align: center;
}
.link-wrapper{
  width: 90%;
  padding: 20px;
  border-radius: 8px;
  border: 1px dotted #fff;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  margin: 50px auto;
}
.link-wrapper a{
  margin: 5px;
  background: #fff;
  padding: 5px 10px;
  border-radius: 5px;
  text-decoration: none;
}
*:target{
  scroll-margin-top: 80px;
}
.quiz-wrapper {
  padding: 20px 5px;
}
.quiz-box .btn {
  padding: 15px 45px;
  background-color: #009688;
  color: #ffffff;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  display: inline-block;
}

.quiz-box {
  max-width: 700px;
  background: #ffffff;
  margin: 40px auto;
  border-radius: 10px;
  opacity: 0;
  transition: .5s ease;
}
.quiz-box.show{
  opacity: 1;
}
.quiz-box::before,
.quiz-box::after {
  content: "";
  clear: both;
  display: table;
}

.quiz-box .question-text,
.quiz-box .option-container {
  width: 100%;
  float: left;
}

section {
  padding: 10px 30px;
  height: 100%;
}
.quiz-box .question-text {
  font-size: 22px;
  color: #000000;
  line-height: 35px;
  font-weight: 400;
  padding: 20px 0;
  margin: 0;
  white-space: break-spaces;
}
.quiz-box .question-text .bold {
  font-weight: bold;
  color: rgb(192, 0, 0);
}
.quiz-box .question-text .kasen,
.quiz-box .option-container .kasen {
  border-bottom: 3px solid rgb(192, 0, 0);
}
.quiz-box .question-text .gray {
  background: rgba(128, 128, 128, 0.3);
}
.quiz-box .question-text .red {
  background: rgba(255, 0, 0, 0.3);
}

.quiz-box .question-text img {
  max-width: 100%;
  display: block;
  margin-top: 20px;
}
.quiz-box .option-container .option {
  background-color: #cccccc;
  padding: 15px;
  font-size: 16px;
  line-height: 22px;
  color: #000000;
  border-radius: 5px;
  margin-bottom: 10px;
  cursor: pointer;
  text-transform: capitalize;
  opacity: 0;
  animation: fadeIn 0.3s ease forwards;
  position: relative;
  overflow: hidden;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.quiz-box .option-container .option.correct::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: green;
  z-index: -1;
  animation: slideInLeft 0.5s ease forwards;
}
@keyframes slideInLeft {
  0% {
    transform: translateX(-100%);
  }
  100% {
    transform: translateX(0%);
  }
}
.quiz-box .option-container .option.wrong::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  background: red;
  z-index: -1;
  animation: slideInLeft 0.5s ease forwards;
}

.quiz-box .option-container .option.correct,
.quiz-box .option-container .option.wrong {
  color: #ffffff;
}
.quiz-box .option-container .option.already-answered {
  pointer-events: none;
}

.quiz-box .btn {
  margin: 15px 0;
}

@media (max-width: 480px) {
  .link-wrapper{
    width: 98%;
  }
}